using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;

namespace NestedGrids.Models
{   
    public class Talonario	
    {
	    [ScaffoldColumn(false)]
	    public Decimal ID { get; set; }
 
	    [ScaffoldColumn(false)]
	    public Decimal ID_ENTREGA_TALONARIO { get; set; }
 
	    [Required]
	    [Remote("CheckInterval", "Home", AdditionalFields = "NUMERO_FINAL", ErrorMessage = "El intervalo usado no es vÃ¡lido.")]
	    [DataType("Integer")]
        public int NUMERO_INICIAL { get; set; }
 
	    [Required]
        [Remote("CheckInterval", "Home", AdditionalFields = "NUMERO_INICIAL", ErrorMessage = "El intervalo usado no es vÃ¡lido.")]
	    [DataType("Integer")]
        public int NUMERO_FINAL { get; set; }
    }

    public class EntregaTalonario
    {
	    [ScaffoldColumn(false)]
	    public Decimal ID { get; set; }

	    [Required]
	    [Display(Name = "Serie")]
	    public String SERIE { get; set; }
 
	    [Required]
	    [Display(Name = "Nombre recibe")]
	    public String NOMBRE_RECIBE { get; set; }
 
	    public IEnumerable<Talonario> Talonarios { get; set; }

    }
}